Bug 13346 - The type of the OpacExportOptions pref should be multiple
Summary: The type of the OpacExportOptions pref should be multiple
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-26 15:47 UTC by Jonathan Druart
Modified: 2016-06-21 21:36 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13346: OpacExportOptions becomes multiple (7.98 KB, patch)
2014-11-26 15:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13346: OpacExportOptions becomes multiple (8.04 KB, patch)
2014-12-28 06:38 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 13346: OpacExportOptions becomes multiple (8.06 KB, patch)
2015-01-02 15:47 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-11-26 15:47:04 UTC
The list of options is limited, the interface could be more ergonomic.
Comment 1 Jonathan Druart 2014-11-26 15:47:27 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2014-12-28 06:38:20 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-12-28 13:41:39 UTC
The new list is much nicer, but it adds a small regression - you can no longer change the sequence the options are displayed in. I think if someone really wanted to, they can do so via SQL, so probably not worth holding this up.
Comment 4 Jonathan Druart 2014-12-29 10:58:31 UTC
(In reply to Katrin Fischer from comment #3)
> The new list is much nicer, but it adds a small regression - you can no
> longer change the sequence the options are displayed in. I think if someone
> really wanted to, they can do so via SQL, so probably not worth holding this
> up.

To be fair, I did not think about that.
Comment 5 Kyle M Hall 2015-01-02 15:47:14 UTC
Created attachment 34895 [details] [review]
[PASSED QA] Bug 13346: OpacExportOptions becomes multiple

The list of options is limited, the interface could be more ergonomic.

Test plan:
- verify that you are still allowed to change (add/remove) options for the
  OpacExportOptions pref.
- At the OPAC, verify the selected options appear correctly (check the
  3 pages opac-ISBDdetail.pl, opac-MARCdetail.pl and opac-detail.pl).

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Kyle M Hall 2015-01-02 15:47:48 UTC
(In reply to Jonathan Druart from comment #4)
> (In reply to Katrin Fischer from comment #3)
> > The new list is much nicer, but it adds a small regression - you can no
> > longer change the sequence the options are displayed in. I think if someone
> > really wanted to, they can do so via SQL, so probably not worth holding this
> > up.
> 
> To be fair, I did not think about that.

It could be accomplished with some javascript in opacuserjs if need be.
Comment 7 Tomás Cohen Arazi 2015-01-04 16:07:15 UTC
Patch pushed to master.

Thanks Jonathan!